@font-face {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 100 900;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/inter/v18/UcCo3FwrK3iLTcvtYwYL8g.woff2) format('woff2');
  unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;
}
/* latin */
@font-face {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 100 900;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/inter/v18/UcCo3FwrK3iLTcviYwY.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
:root,
body {
  --font-variant-numeric: tabular-nums;
  --font-family: "Inter";
  font-variant-numeric: var(--font-variant-numeric);
  margin: 0;
  padding: 0;
  background: var(--body-background);
  color: var(--text-color);
  font-family: var(--font-family);
  font-size: var(--font-size-root);
  height: 100vh;
}
:root > #root,
body > #root {
  height: 100%;
}
:root #root > div,
body #root > div {
  height: 100%;
  width: 100%;
  display: flex;
}
:root #root > div > div,
body #root > div > div {
  height: 100%;
  width: 100%;
  display: flex;
  flex: 1;
}
:root ::-webkit-scrollbar,
body ::-webkit-scrollbar {
  opacity: 1;
  width: var(--i-scrollbar-width);
  height: var(--i-scrollbar-width);
}
:root ::-webkit-scrollbar:hover,
body ::-webkit-scrollbar:hover {
  width: var(--i-scrollbar-width);
  height: var(--i-scrollbar-width);
}
:root ::-webkit-scrollbar-button,
body ::-webkit-scrollbar-button {
  width: 0px;
  height: 0px;
}
:root ::-webkit-scrollbar-thumb,
body ::-webkit-scrollbar-thumb {
  background: var(--i-scrollbar-thumb-color);
  border-radius: var(--i-scrollbar-radius);
  min-height: 50px !important;
  cursor: pointer;
}
:root ::-webkit-scrollbar-thumb:hover,
body ::-webkit-scrollbar-thumb:hover {
  background: var(--i-scrollbar-thumb-hover-color);
}
:root ::-webkit-scrollbar-thumb:active,
body ::-webkit-scrollbar-thumb:active {
  background: var(--i-scrollbar-thumb-hover-color);
}
:root ::-webkit-scrollbar-track,
body ::-webkit-scrollbar-track {
  background: var(--i-scrollbar-track-background);
  border-radius: var(--i-scrollbar-radius);
}
:root ::-webkit-scrollbar-track:hover,
body ::-webkit-scrollbar-track:hover {
  background: var(--i-scrollbar-track-background);
}
:root ::-webkit-scrollbar-track:active,
body ::-webkit-scrollbar-track:active {
  background: var(--i-scrollbar-track-background);
}
:root ::-webkit-scrollbar-corner,
body ::-webkit-scrollbar-corner {
  background: transparent;
}
:root .virtual-scroll-container::-webkit-scrollbar,
body .virtual-scroll-container::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}
:root .virtual-scroll-container::-webkit-scrollbar-thumb,
body .virtual-scroll-container::-webkit-scrollbar-thumb {
  background: #c1c1c1;
  /* (Hoặc dùng biến CSS var(--i-scrollbar-thumb-color)) */
  border-radius: 4px;
}
